head	1.2;
access;
symbols
	perseant-exfatfs-base-20250801:1.2
	perseant-exfatfs-base-20240630:1.2
	cjep_sun2x:1.2.0.14
	cjep_sun2x-base:1.2
	cjep_staticlib_x-base1:1.2
	cjep_staticlib_x:1.2.0.12
	cjep_staticlib_x-base:1.2
	phil-wifi-20200421:1.2
	phil-wifi-20200411:1.2
	phil-wifi-20200406:1.2
	pgoyette-compat-merge-20190127:1.2
	pgoyette-compat-20190127:1.2
	pgoyette-compat-20190118:1.2
	pgoyette-compat-1226:1.2
	pgoyette-compat-1126:1.2
	pgoyette-compat-1020:1.2
	pgoyette-compat-0930:1.2
	pgoyette-compat-0906:1.2
	netbsd-7-2-RELEASE:1.1.1.1
	pgoyette-compat-0728:1.2
	pgoyette-compat-0625:1.2
	pgoyette-compat-0521:1.2
	pgoyette-compat-0502:1.2
	pgoyette-compat-0422:1.2
	pgoyette-compat-0415:1.2
	pgoyette-compat-0407:1.2
	pgoyette-compat-0330:1.2
	pgoyette-compat-0322:1.2
	pgoyette-compat-0315:1.2
	netbsd-7-1-2-RELEASE:1.1.1.1
	pgoyette-compat:1.2.0.10
	pgoyette-compat-base:1.2
	netbsd-7-1-1-RELEASE:1.1.1.1
	perseant-stdc-iso10646:1.2.0.8
	perseant-stdc-iso10646-base:1.2
	prg-localcount2-base3:1.2
	prg-localcount2-base2:1.2
	prg-localcount2-base1:1.2
	prg-localcount2:1.2.0.6
	prg-localcount2-base:1.2
	pgoyette-localcount-20170426:1.2
	bouyer-socketcan-base1:1.2
	pgoyette-localcount-20170320:1.2
	netbsd-7-1:1.1.1.1.0.68
	netbsd-7-1-RELEASE:1.1.1.1
	netbsd-7-1-RC2:1.1.1.1
	netbsd-7-nhusb-base-20170116:1.1.1.1
	bouyer-socketcan:1.2.0.4
	bouyer-socketcan-base:1.2
	pgoyette-localcount-20170107:1.2
	netbsd-7-1-RC1:1.1.1.1
	pgoyette-localcount-20161104:1.2
	netbsd-7-0-2-RELEASE:1.1.1.1
	localcount-20160914:1.2
	netbsd-7-nhusb:1.1.1.1.0.66
	netbsd-7-nhusb-base:1.1.1.1
	pgoyette-localcount-20160806:1.2
	pgoyette-localcount-20160726:1.2
	pgoyette-localcount:1.2.0.2
	pgoyette-localcount-base:1.2
	netbsd-7-0-1-RELEASE:1.1.1.1
	netbsd-7-0:1.1.1.1.0.64
	netbsd-7-0-RELEASE:1.1.1.1
	netbsd-7-0-RC3:1.1.1.1
	netbsd-7-0-RC2:1.1.1.1
	netbsd-7-0-RC1:1.1.1.1
	netbsd-5-2-3-RELEASE:1.1.1.1
	netbsd-5-1-5-RELEASE:1.1.1.1
	netbsd-6-0-6-RELEASE:1.1.1.1
	netbsd-6-1-5-RELEASE:1.1.1.1
	netbsd-7:1.1.1.1.0.62
	netbsd-7-base:1.1.1.1
	yamt-pagecache-base9:1.1.1.1
	yamt-pagecache-tag8:1.1.1.1
	netbsd-6-1-4-RELEASE:1.1.1.1
	netbsd-6-0-5-RELEASE:1.1.1.1
	tls-earlyentropy:1.1.1.1.0.60
	tls-earlyentropy-base:1.1.1.1
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.1.1.1
	riastradh-drm2-base3:1.1.1.1
	netbsd-6-1-3-RELEASE:1.1.1.1
	netbsd-6-0-4-RELEASE:1.1.1.1
	netbsd-5-2-2-RELEASE:1.1.1.1
	netbsd-5-1-4-RELEASE:1.1.1.1
	netbsd-6-1-2-RELEASE:1.1.1.1
	netbsd-6-0-3-RELEASE:1.1.1.1
	netbsd-5-2-1-RELEASE:1.1.1.1
	netbsd-5-1-3-RELEASE:1.1.1.1
	netbsd-6-1-1-RELEASE:1.1.1.1
	riastradh-drm2-base2:1.1.1.1
	riastradh-drm2-base1:1.1.1.1
	riastradh-drm2:1.1.1.1.0.54
	riastradh-drm2-base:1.1.1.1
	netbsd-6-1:1.1.1.1.0.58
	netbsd-6-0-2-RELEASE:1.1.1.1
	netbsd-6-1-RELEASE:1.1.1.1
	netbsd-6-1-RC4:1.1.1.1
	netbsd-6-1-RC3:1.1.1.1
	agc-symver:1.1.1.1.0.56
	agc-symver-base:1.1.1.1
	netbsd-6-1-RC2:1.1.1.1
	netbsd-6-1-RC1:1.1.1.1
	yamt-pagecache-base8:1.1.1.1
	netbsd-5-2:1.1.1.1.0.52
	netbsd-6-0-1-RELEASE:1.1.1.1
	yamt-pagecache-base7:1.1.1.1
	netbsd-5-2-RELEASE:1.1.1.1
	netbsd-5-2-RC1:1.1.1.1
	matt-nb6-plus-nbase:1.1.1.1
	yamt-pagecache-base6:1.1.1.1
	netbsd-6-0:1.1.1.1.0.50
	netbsd-6-0-RELEASE:1.1.1.1
	netbsd-6-0-RC2:1.1.1.1
	tls-maxphys:1.1.1.1.0.48
	tls-maxphys-base:1.1.1.1
	matt-nb6-plus:1.1.1.1.0.46
	matt-nb6-plus-base:1.1.1.1
	netbsd-6-0-RC1:1.1.1.1
	yamt-pagecache-base5:1.1.1.1
	yamt-pagecache-base4:1.1.1.1
	netbsd-6:1.1.1.1.0.44
	netbsd-6-base:1.1.1.1
	netbsd-5-1-2-RELEASE:1.1.1.1
	netbsd-5-1-1-RELEASE:1.1.1.1
	yamt-pagecache-base3:1.1.1.1
	yamt-pagecache-base2:1.1.1.1
	yamt-pagecache:1.1.1.1.0.42
	yamt-pagecache-base:1.1.1.1
	cherry-xenmp:1.1.1.1.0.40
	cherry-xenmp-base:1.1.1.1
	bouyer-quota2-nbase:1.1.1.1
	bouyer-quota2:1.1.1.1.0.38
	bouyer-quota2-base:1.1.1.1
	matt-mips64-premerge-20101231:1.1.1.1
	matt-nb5-mips64-premerge-20101231:1.1.1.1
	matt-nb5-pq3:1.1.1.1.0.36
	matt-nb5-pq3-base:1.1.1.1
	netbsd-5-1:1.1.1.1.0.34
	netbsd-5-1-RELEASE:1.1.1.1
	netbsd-5-1-RC4:1.1.1.1
	matt-nb5-mips64-k15:1.1.1.1
	netbsd-5-1-RC3:1.1.1.1
	netbsd-5-1-RC2:1.1.1.1
	netbsd-5-1-RC1:1.1.1.1
	netbsd-5-0-2-RELEASE:1.1.1.1
	matt-nb5-mips64-premerge-20091211:1.1.1.1
	matt-premerge-20091211:1.1.1.1
	matt-nb5-mips64-u2-k2-k4-k7-k8-k9:1.1.1.1
	matt-nb4-mips64-k7-u2a-k9b:1.1.1.1
	matt-nb5-mips64-u1-k1-k5:1.1.1.1
	matt-nb5-mips64:1.1.1.1.0.32
	netbsd-5-0-1-RELEASE:1.1.1.1
	jym-xensuspend-nbase:1.1.1.1
	netbsd-5-0:1.1.1.1.0.30
	netbsd-5-0-RELEASE:1.1.1.1
	netbsd-5-0-RC4:1.1.1.1
	netbsd-5-0-RC3:1.1.1.1
	netbsd-5-0-RC2:1.1.1.1
	jym-xensuspend:1.1.1.1.0.28
	jym-xensuspend-base:1.1.1.1
	netbsd-5-0-RC1:1.1.1.1
	netbsd-5:1.1.1.1.0.26
	netbsd-5-base:1.1.1.1
	matt-mips64-base2:1.1.1.1
	matt-mips64:1.1.1.1.0.24
	mjf-devfs2:1.1.1.1.0.22
	mjf-devfs2-base:1.1.1.1
	netbsd-4-0-1-RELEASE:1.1.1.1
	wrstuden-revivesa-base-3:1.1.1.1
	wrstuden-revivesa-base-2:1.1.1.1
	wrstuden-fixsa-newbase:1.1.1.1
	wrstuden-revivesa-base-1:1.1.1.1
	yamt-pf42-base4:1.1.1.1
	yamt-pf42-base3:1.1.1.1
	hpcarm-cleanup-nbase:1.1.1.1
	yamt-pf42-baseX:1.1.1.1
	yamt-pf42-base2:1.1.1.1
	wrstuden-revivesa:1.1.1.1.0.20
	wrstuden-revivesa-base:1.1.1.1
	yamt-pf42:1.1.1.1.0.18
	yamt-pf42-base:1.1.1.1
	keiichi-mipv6:1.1.1.1.0.16
	keiichi-mipv6-base:1.1.1.1
	matt-armv6-nbase:1.1.1.1
	matt-armv6-prevmlocking:1.1.1.1
	wrstuden-fixsa-base-1:1.1.1.1
	netbsd-4-0:1.1.1.1.0.14
	netbsd-4-0-RELEASE:1.1.1.1
	cube-autoconf:1.1.1.1.0.12
	cube-autoconf-base:1.1.1.1
	netbsd-4-0-RC5:1.1.1.1
	netbsd-4-0-RC4:1.1.1.1
	netbsd-4-0-RC3:1.1.1.1
	netbsd-4-0-RC2:1.1.1.1
	netbsd-4-0-RC1:1.1.1.1
	matt-armv6:1.1.1.1.0.10
	matt-armv6-base:1.1.1.1
	matt-mips64-base:1.1.1.1
	hpcarm-cleanup:1.1.1.1.0.8
	hpcarm-cleanup-base:1.1.1.1
	wrstuden-fixsa:1.1.1.1.0.6
	wrstuden-fixsa-base:1.1.1.1
	abandoned-netbsd-4-base:1.1.1.1
	abandoned-netbsd-4:1.1.1.1.0.2
	netbsd-4:1.1.1.1.0.4
	netbsd-4-base:1.1.1.1
	v0_14_4:1.1.1.1
	GNU:1.1.1;
locks; strict;
comment	@# @;


1.2
date	2016.01.13.01.59.39;	author christos;	state dead;
branches;
next	1.1;
commitid	U9rtUbw2y5ZheIQy;

1.1
date	2005.04.29.15.08.56;	author christos;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2005.04.29.15.08.56;	author christos;	state Exp;
branches;
next	;


desc
@@


1.2
log
@gettext has moved.
@
text
@#! /bin/sh

# Test handling of input files with different charsets:
# 1. UTF-8, 2. ISO-8859-1; plus --use-first

tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15

tmpfiles="$tmpfiles mcat-test4.in1 mcat-test4.in2"
cat <<\EOF > mcat-test4.in1
# German message file for xyz.
# Copyright (C) 1999, 2000, 2001 xyz.
# Kab Def <ke@@zzz.uucp>, 2000.
#
msgid ""
msgstr ""
"Project-Id-Version: xyz\n"
"POT-Creation-Date: 2001-04-24 12:51:34+0200\n"
"PO-Revision-Date: 2001-04-24 13:02+02:00\n"
"Last-Translator: Kab Def <ke@@zzz.uucp>\n"
"Language-Team: German <i18n@@zzz.uucp>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"

#. Remind user of the login name he chose
#: clients/inst_ask_config.ycp:72
#, ycp-format
msgid "You can log in as \"%1\"."
msgstr "Sie kÃ¶nnen sich als \"%1\" einloggen."
EOF

cat <<\EOF > mcat-test4.in2
# German message file for xyz.
# Copyright (C) 1999, 2000, 2001 xyz.
# Kab Def <ke@@zzz.uucp>, 2000.
#
msgid ""
msgstr ""
"Project-Id-Version: xyz\n"
"POT-Creation-Date: 2001-04-24 12:51:34+0200\n"
"PO-Revision-Date: 2001-04-24 13:02+02:00\n"
"Last-Translator: Kab Def <ke@@zzz.uucp>\n"
"Language-Team: German <i18n@@zzz.uucp>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=ISO-8859-1\n"
"Content-Transfer-Encoding: 8bit\n"

#. Help text (HTML-like) START
#: clients/inst_ask_config.ycp:119
msgid ""
"Congratulations!"
msgstr ""
"Glückwunsch!"
EOF

tmpfiles="$tmpfiles mcat-test4.out mcat-test4.err"
rm -f mcat-test4.out

: ${MSGCAT=msgcat}
LC_MESSAGES=C LC_ALL= \
${MSGCAT} --use-first --more-than=0 -o mcat-test4.out \
    mcat-test4.in1 mcat-test4.in2 >mcat-test4.err 2>&1
result=$?
cat mcat-test4.err | grep -v 'warning: .* encodings' | grep -v '^ '
test $result = 0 || { rm -fr $tmpfiles; exit 1; }

tmpfiles="$tmpfiles mcat-test4.ok"
cat << \EOF > mcat-test4.ok
# German message file for xyz.
# Copyright (C) 1999, 2000, 2001 xyz.
# Kab Def <ke@@zzz.uucp>, 2000.
#
msgid ""
msgstr ""
"Project-Id-Version: xyz\n"
"POT-Creation-Date: 2001-04-24 12:51:34+0200\n"
"PO-Revision-Date: 2001-04-24 13:02+02:00\n"
"Last-Translator: Kab Def <ke@@zzz.uucp>\n"
"Language-Team: German <i18n@@zzz.uucp>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"

#. Remind user of the login name he chose
#: clients/inst_ask_config.ycp:72
#, ycp-format
msgid "You can log in as \"%1\"."
msgstr "Sie kÃ¶nnen sich als \"%1\" einloggen."

#. Help text (HTML-like) START
#: clients/inst_ask_config.ycp:119
msgid "Congratulations!"
msgstr "GlÃ¼ckwunsch!"
EOF

: ${DIFF=diff}
${DIFF} mcat-test4.ok mcat-test4.out
result=$?

rm -fr $tmpfiles

exit $result
@


1.1
log
@Initial revision
@
text
@@


1.1.1.1
log
@ftp ftp.gnu.org
@
text
@@
